package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * task_stop
 * @author 
 */
public class TaskStop implements Serializable {
    private Long id;

    /**
     * 任务编号
     */
    private Integer tid;

    /**
     * 类型 0=项目暂停，1=项目重启
     */
    private Integer type;

    /**
     * 审核状态 0=发起，1=通过，2=拒绝
     */
    private Integer status;

    /**
     * 原因
     */
    private String reason;

    /**
     * 附件地址
     */
    private String annexUrl;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getTid() {
        return tid;
    }

    public void setTid(Integer tid) {
        this.tid = tid;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}